Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.dom
Class XDBAttribute

`java.lang.Object
oracle.xdb.dom.XDBNode
oracle.xdb.dom.XDBAttribute`

All Implemented Interfaces:
  Attr, Node

Deprecated. as of Oracle Database 11g release 1, use oracle.xml.parser.v2.XMLAttr

      public class XDBAttribute

extends XDBNode
implements Attr

This class implements the W3C DOM Node interface for interacting with XOBs.

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getName()` Deprecated. Returns the name of the attribute.
`Element` `getOwnerElement()` Deprecated. gets the owner element of the attribute; null if the attribute has not been attached to any element
`TypeInfo` `getSchemaTypeInfo()` Deprecated.
`boolean` `getSpecified()` Deprecated. specifies whether the attribute has been assigned a value
`java.lang.String` `getValue()` Deprecated. get the value the attribute
`boolean` `isId()` Deprecated.
`void` `setValue(java.lang.String value)` Deprecated. set the value of the node

Methods inherited from class oracle.xdb.dom.XDBNode

`appendChild, cloneNode, close, compareDocumentPosition, equals, finalize, getAttributes, getBaseURI, getChildNodes, getExpandedName, getFeature, getFirstChild, getInputStream, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveType, getQualifiedName, getSchemaNode, getTextContent, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isDefaultNamespace, isEqualNode, isNilled, isSameNode, isSchemaBased, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setNodeXob, setOwner, setPrefix, setTextContent, setUserData, setXobCstate, toCState, toString, validateName, write, writeToOutputStream`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name of the attribute.
  Specified by:
    `getName` in interface `Attr`
  Returns:
    the name of the attribute

### getSpecified

    public boolean getSpecified()

  Deprecated.
  specifies whether the attribute has been assigned a value
  Specified by:
    `getSpecified` in interface `Attr`
  Returns:
    true if attribute has value false otherwise

### getValue

    public java.lang.String getValue()

  Deprecated.
  get the value the attribute
  Specified by:
    `getValue` in interface `Attr`
  Returns:
    the node name string, always null for this node.

### setValue

    public void setValue(java.lang.String value)
                  throws DOMException

  Deprecated.
  set the value of the node
  Specified by:
    `setValue` in interface `Attr`
  Throws:
    `DOMException`

### getOwnerElement

    public Element getOwnerElement()

  Deprecated.
  gets the owner element of the attribute; null if the attribute has not been attached to any element
  Specified by:
    `getOwnerElement` in interface `Attr`
  Returns:
    the owner element

### getSchemaTypeInfo

    public TypeInfo getSchemaTypeInfo()

  Deprecated.

### isId

    public boolean isId()

  Deprecated.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.